-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (3) .- Knowledge Base  . 

ktikz - Editor for the TikZ language

   0.10  

KDE Graphic Editor

Score 75%
ktikz - Editor for the TikZ language
zoom


ktikz - Editor for the TikZ language
zoom


Homepage:  Link
Downloads:  3631
Submitted:  Jul 28 2007
Updated:  Oct 14 2010

Description:

Version 0.10 is released. This version is available as an Ubuntu package for Lucid, as a Debian package for Squeeze and as a Windows installer. For Linux there are two versions available: KtikZ and QtikZ. KtikZ is integrated with the KDE4 platform, whereas QtikZ has the traditional Qt-only interface. Thanks go to Glad Deschrijver, Agustin Martin and Stuart Prescott for their contributions.

Please visit the project website for more information.

http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language




Changelog:

Version 0.10 (2010-08-26):
- KDE integration (the possibility to compile Qt-only still exists)
- template files on remote machines can be used using KIO (only in the KDE
version)
- TikZ source files on remote machines can be loaded, saved and exported
using KIO (only in the KDE version)
- error messages while generating the preview are shown in the preview
window itself
- zooming is done in a separate thread now, so the interface is not blocked
when zooming at large sizes
- a kpart is available that can be used to view TikZ source files in
konqueror (the kpart opens files having the text/x-pgf mimetype)
- update list of tikz commands
- remove bug which causes ktikz to hang (since Qt 4.6) when typesetting
a picture
- remove bug: cannot find TikZ documentation when selecting “TikZ Manual”
in the Help menu, even if configured correctly
- display description of a newly inserted tikz command (using command
completion or menu) in the statusbar, so that the user still sees the
usage of a command after it is inserted
- add option to compile the TikZ code only when pushing a “Build” button
- add reload button
- add shell script and ktikz template to the examples directory which can
be used to generate the preview with the latex; dvips; ps2pdf sequence
instead of pdflatex (the usage is described in the shell script code)
- check whether the file has changed when ktikz gets the focus (similar
to kwrite)
- in the kpart check for file changes and reload if there are any (similar
as in okular)
- the zoom percentage field is now displayed and edited in the user’s locale
- added documentation
- remove bug: when the error box is larger than the preview and the next
compilation does not give errors, the error box is still visible outside
the area covered by the preview
- try to find or use the default hard-coded (configurable in conf.pri and
CMakeLists.txt) path to the TikZ documentation when an empty path is
stored in the local settings (this is the case e.g. when ktikz is run
for the first time)
- when inserting code using code-completion, the arguments and options that
must be filled in are marked by a bullet, the bullets can be browsed with
the Tab-key
- now also an URL to an online version of the TikZ documentation can be
specified in the configuration dialog
- an icon for Windows and an NSIS Windows Installer script are now available
- the “Insert” menu is now also translated

Version 0.9 (2009-09-10):
- remove bug that on startup the item selected in the template combobox
did not correspond to the text in the lineedit of the combobox
- correct the height of the lineedits in the configuration dialog
- the path to the TikZ documentation must now be set in the configuration
dialog
- don’t wait one second before generating the preview when a file is
loaded, the template is changed or shell escaping is toggled
- only files are used now as a template file (previously directories
and everything with a valid path was used), otherwise the default
template is used
- if the replacement text is empty, then the default template is used
instead of giving non-informative errors
- when the commands dock is visible (instead of the menu), the code that
will be inserted is visible in the status bar on hovering the item in
the list
- clicking on an item in the commands dock only includes the corresponding
code once (instead of twice)
- added file name completion to the template line edit and the line edits
in the configuration dialog
- space and tab markers resize according to the font size of the main text
- the color of the space and tab markers can be changed in the
configuration dialog
- white space and tabulator settings are separate now
- scrolling in the text edit with the arrow keys is faster now
- better completion of \begin{… and \end{…
- allow to use the icons set in KDE4 when the appropriate variable in
conf.pri is set
- remove bug that the “Next Image” and “Previous Image” buttons remained
visible when emptying the code text area
- remove bug: statustip of the toggle view actions in the Settings menu is
not shown when a toolbar or sidebar is hidden on startup
- add support for session management (open windows will be reopened after
logging out and logging in again)
- added option in the config dialog to enable/disable completion of the
tikz commands
- trying to open a file from the “Open Recent” menu that does not exist
anymore does not cause an empty window to be opened anymore, furthermore
the file is removed from the “Open Recent” list

Version 0.8 (2009-03-29):
- allow text under icons in toolbar
- remove bug: when a second ktikz window is closed while typesetting,
the cursor is not restored from busy to normal
- remove bug: when the document is untitled and not yet saved, then
opening a file opens the file in the current window, destroying the
unsaved text
- added some tikz commands to the list of commands
- disable “Save” and “Save As” actions when the file in the text editor
is the same as on disk
- replace the “Replace this occurrence” dialog by a widget shown at the
bottom of the text editor
- added filter “PGF files” in “Open File” dialog
- the previously selected templates can now be selected from a combobox
- added “Clear” button to each line edit
- remove bug: the size of the default font did not change after setting
a new font size in the config dialog
- new way of writing the temporary latex and pgf files, this also solves
the bug in which the line numbers in the log window did not correspond
to the line numbers in the editor
- each time the template is changed a new QTemporaryFile is used, this
avoids the bug that if the template contains less characters, then the
bottom of the old template is still there in the file (luckily latex
stops parsing at the first \end{document}, so this bug was not visible)
- allow to use KDE4 file dialogs when the appropriate variable in conf.pri
is set
- remove bug (I hope) that caused ktikz to crash when zooming while ktikz
is typesetting

Version 0.7 (2008-08-26):
- disable previous image button if the first image is shown, disable
next image button if the last image is shown
- the first time that the End button is pressed the cursor is moved to
the end of the line (on screen), the second time the cursor is moved
to the end of the block (end of the line in the file)
- don’t run latex on startup when no document is loaded from the command
line
- adjust size of the viewport in which the preview is displayed when new
items are added to the tikz picture
- added completion of the tikz commands
- the tikz commands are now loaded from an XML file
- corrected the size of the colored background around the highlighted
brackets
- remove bug in ConfigDialog::selectFont() (replace “if (&ok)” by “if (ok)”)
- the command “New” in the “File” menu now opens a new empty window,
the commands “Open” and “Open Recent” open the selected file in a new
window, a “Close” command is added which empties the current window
- the (empty) document is not typesetted anymore when the “Close” command
(which has the same behavior as the old “New” command) is executed
- add the directory in which the template file is located to the
$TEXINPUTS environment variable (useful if the template \inputs other
files)
- layout changes in the configuration dialog




LicenseGPL
Source(ktikz 0.10 source code)
Ubuntu(KtikZ package for Ubuntu Lucid)
Debian(KtikZ package for Debian Squeeze)
Send to a friend
Subscribe
Other  Apps  from deadman66
Report inappropriate content



goto page: prev   1  2 

-

 Ktikz for Intrepid ibex

 
 by LauMou on: Dec 14 2008
 
Score 50%

Dear all,
I am trying to install ktikz on my Intrepid Ibex distro using the proposed
Ubuntu download.
I got an error message when using the Package installer:
"Error: Dependency is not satisfiable: libpoppler-qt4-2"

while
libpoppler-qt-dev
libpoppler-qt2
libpoppler-qt4-3
libpoppler-qt4-dev
are installed on my machine

Any clue?


Reply to this

-

 Re: Ktikz for Intrepid ibex

 
 by sergeballif on: Apr 30 2009
 
Score 50%

I get the same error, with the same specs. I'd be ever so grateful for help.


Serge
Reply to this

-
.

 version 0.8

 
 by xylo on: Sep 3 2009
 
Score 50%

Seems there is a version 0.8 on
http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language


Reply to this

-
.

 Can't Compile v. 0.9

 
 by dplentini on: Sep 13 2009
 
Score 50%
dplentinidplentini
-
David Lentini 0

United States of America, North Berwick, ME
Last visit Sep 25 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Hi! I love v. 0.8 of this program, so I couldn't wait to install the update; but I can't compile the code. I get the following output:

david@DD:~/Dropbox/Downloads/ktikz-0.9$ qmake
Project MESSAGE: *** KTikZ v0.9 ***
Project MESSAGE: The program will be installed in
Project MESSAGE: /usr/bin
Project MESSAGE: The translation files will be installed in
Project MESSAGE: /usr/share/ktikz
Project MESSAGE: The desktop file will be installed in
Project MESSAGE: /usr/share/applications
Project MESSAGE: (null)
Project MESSAGE: If you would like to change these paths,
Project MESSAGE: please adjust conf.pri to your needs and rerun qmake.
Project MESSAGE: (null)
Project MESSAGE: In order to enable KDE file dialogs in this application,
Project MESSAGE: unhide the line \"CONFIG += usekde\" in conf.pri.
david@DD:~/Dropbox/Downloads/ktikz-0.9$ make
cd src && make -f Makefile
make[1]: Entering directory `/home/david/Dropbox/Downloads/ktikz-0.9/src'
Makefile:369: warning: overriding commands for target `../build/obj/configappearancewidget.o'
Makefile:225: warning: ignoring old commands for target `../build/obj/configappearancewidget.o'
Makefile:373: warning: overriding commands for target `../build/obj/configeditorwidget.o'
Makefile:236: warning: ignoring old commands for target `../build/obj/configeditorwidget.o'
Makefile:378: warning: overriding commands for target `../build/obj/configgeneralwidget.o'
Makefile:241: warning: ignoring old commands for target `../build/obj/configgeneralwidget.o'
Makefile:382: warning: overriding commands for target `../build/obj/editgotolinewidget.o'
Makefile:245: warning: ignoring old commands for target `../build/obj/editgotolinewidget.o'
Makefile:386: warning: overriding commands for target `../build/obj/editindentdialog.o'
Makefile:249: warning: ignoring old commands for target `../build/obj/editindentdialog.o'
Makefile:391: warning: overriding commands for target `../build/obj/editreplacewidget.o'
Makefile:254: warning: ignoring old commands for target `../build/obj/editreplacewidget.o'
Makefile:397: warning: overriding commands for target `../build/obj/templatewidget.o'
Makefile:293: warning: ignoring old commands for target `../build/obj/templatewidget.o'
/usr/share/qt3/bin/uic editreplacewidget.ui -o ../build/ui/editreplacewidget.h
uic: Could not open output file '../build/ui/editreplacewidget.h'
make[1]: *** [../build/ui/editreplacewidget.h] Error 1
make[1]: Leaving directory `/home/david/Dropbox/Downloads/ktikz-0.9/src'
make: *** [sub-src] Error 2

This happens whether I run as su or not. What's going wrong?

Can someone make DEB for jaunty?

Thanks!


Reply to this

-

 Re: Can't Compile v. 0.9

 
 by glad on: Sep 24 2009
 
Score 50%

It seems that you have already a Makefile in the src directory. Type "make distclean", or if that doesn't help, remove the build directory and remove the Makefile in the src directory, and after that rerun qmake and make. On Ubuntu you must use qmake-qt4 instead of qmake.


Reply to this

-

 Re: Re: Can't Compile v. 0.9

 
 by dplentini on: Sep 25 2009
 
Score 50%
dplentinidplentini
-
David Lentini 0

United States of America, North Berwick, ME
Last visit Sep 25 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Thanks. I used the "make distclean" command, and that seemed to make some progress, but then I got a version error stating that my version of Qt (4.x) was too new (vs. 3.3.8b):

cd src/ && make -f Makefile
make[1]: Entering directory `/home/david/ktikz-0.9/src'
Makefile:369: warning: overriding commands for target `../build/obj/configappearancewidget.o'
Makefile:225: warning: ignoring old commands for target `../build/obj/configappearancewidget.o'
Makefile:373: warning: overriding commands for target `../build/obj/configeditorwidget.o'
Makefile:236: warning: ignoring old commands for target `../build/obj/configeditorwidget.o'
Makefile:378: warning: overriding commands for target `../build/obj/configgeneralwidget.o'
Makefile:241: warning: ignoring old commands for target `../build/obj/configgeneralwidget.o'
Makefile:382: warning: overriding commands for target `../build/obj/editgotolinewidget.o'
Makefile:245: warning: ignoring old commands for target `../build/obj/editgotolinewidget.o'
Makefile:386: warning: overriding commands for target `../build/obj/editindentdialog.o'
Makefile:249: warning: ignoring old commands for target `../build/obj/editindentdialog.o'
Makefile:391: warning: overriding commands for target `../build/obj/editreplacewidget.o'
Makefile:254: warning: ignoring old commands for target `../build/obj/editreplacewidget.o'
Makefile:397: warning: overriding commands for target `../build/obj/templatewidget.o'
Makefile:293: warning: ignoring old commands for target `../build/obj/templatewidget.o'
/usr/share/qt3/bin/uic editreplacewidget.ui -o ../build/ui/editreplacewidget.h
uic: File generated with too recent version of Qt Designer (4.0 vs. 3.3.8b)
make[1]: *** [../build/ui/editreplacewidget.h] Error 1
make[1]: Leaving directory `/home/david/ktikz-0.9/src'
make: *** [sub-src-make_default] Error 2


Reply to this

-

 Re: Re: Re: Can't Compile v. 0.9

 
 by glad on: Oct 6 2009
 
Score 50%

It seems that your system persists in using the utilities from Qt3 instead of those from Qt4. On my system (which also runs Kubuntu Jaunty) when I run qmake-qt4 (and NOT qmake), then also uic-qt4 and friends are used. If this is not the case for you, then the easiest solution is to uninstall the development packages for Qt3 (every package the name of which contains "qt3" and on which no program depends; I have only libqt3-mt installed).


Reply to this

-

 Re: Re: Re: Re: Can't Compile v. 0.9

 
 by dplentini on: Oct 7 2009
 
Score 50%
dplentinidplentini
-
David Lentini 0

United States of America, North Berwick, ME
Last visit Sep 25 2013
0 Friends
0 Groups

More info
Send a message
Add as friend
Other contents
--

Thanks for the tip. I removed the "qt3" files as you described, and I confirmed the "qt4" were installed, but I still can't compile the program. Here's the current output:

david@DD:~/ktikz-0.9$ qmake
Project MESSAGE: *** KTikZ v0.9 ***
Project MESSAGE: The program will be installed in
Project MESSAGE: /usr/bin
Project MESSAGE: The translation files will be installed in
Project MESSAGE: /usr/share/ktikz
Project MESSAGE: The desktop file will be installed in
Project MESSAGE: /usr/share/applications
Project MESSAGE: KDE includes: /usr/lib/kde4/include/KDE /usr/lib/kde4/include
Project MESSAGE: KDE libs: /usr/lib/kde4/lib
Project MESSAGE:
Project MESSAGE: If you would like to change these paths,
Project MESSAGE: please adjust conf.pri to your needs and rerun qmake.
Project MESSAGE:
Project MESSAGE: In order to disable KDE file dialogs in this application,
Project MESSAGE: hide the line "CONFIG += usekde" in conf.pri.
david@DD:~/ktikz-0.9$ make
cd src/ && make -f Makefile
make[1]: Entering directory `/home/david/ktikz-0.9/src'
Makefile:369: warning: overriding commands for target `../build/obj/configappearancewidget.o'
Makefile:225: warning: ignoring old commands for target `../build/obj/configappearancewidget.o'
Makefile:373: warning: overriding commands for target `../build/obj/configeditorwidget.o'
Makefile:236: warning: ignoring old commands for target `../build/obj/configeditorwidget.o'
Makefile:378: warning: overriding commands for target `../build/obj/configgeneralwidget.o'
Makefile:241: warning: ignoring old commands for target `../build/obj/configgeneralwidget.o'
Makefile:382: warning: overriding commands for target `../build/obj/editgotolinewidget.o'
Makefile:245: warning: ignoring old commands for target `../build/obj/editgotolinewidget.o'
Makefile:386: warning: overriding commands for target `../build/obj/editindentdialog.o'
Makefile:249: warning: ignoring old commands for target `../build/obj/editindentdialog.o'
Makefile:391: warning: overriding commands for target `../build/obj/editreplacewidget.o'
Makefile:254: warning: ignoring old commands for target `../build/obj/editreplacewidget.o'
Makefile:397: warning: overriding commands for target `../build/obj/templatewidget.o'
Makefile:293: warning: ignoring old commands for target `../build/obj/templatewidget.o'
make[1]: *** No rule to make target `/usr/share/qt3/mkspecs/default/qmake.conf', needed by `Makefile'. Stop.
make[1]: Leaving directory `/home/david/ktikz-0.9/src'
make: *** [sub-src-make_default] Error 2


Reply to this

-
.

 64Bit - no go

 
 by SeeDoubleYou on: Mar 18 2010
 
Score 50%

Has anyone managed to get this to work under Ubunut 64bit? I tried installing the .deb file using --force-architecture and then use getlibs to get the dependencies, but there is no installation candidate for libpoppler-qt4.so.2


Reply to this

-
.

 Re: 64Bit - no go

 
 by xylo on: Jun 19 2010
 
Score 50%

I also tried to use version 0.9 on my 64 bit machine. The compilation worked fine, but when I run ktikz I get a segmentation fault. :(

Unfortunately I cannot even use version 0.8 under Lucid, because libpoppler.so.3 is not available anymore.


Reply to this

-

 Re: Re: 64Bit - no go

 
 by glad on: Jul 6 2010
 
Score 50%

Currently, you have to install ktikz using the source from svn (svn://hackenberger.at/svnroot/ktikz/trunk). Older versions of ktikz do not work under the current version of ubuntu nor with Qt 4.6. We hope to be able to release version 0.10 in a few weeks.


Reply to this

goto page: prev   1  2 

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.